      subroutine sgp4_arg( argc, argv )
!
!     Argument break-out for Unix IDL call_external calls of 
!     spacecraft_pv.
!
!     C. Jeppesen, 2007-05-03
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
      integer argc, argv(11)
      external sgp4
!
      call sgp4(
     &   %val(argv(1)), %val(argv(2)), %val(argv(3)), %val(argv(4)),
     &   %val(argv(5)), %val(argv(6)), %val(argv(7)), %val(argv(8)),
     &   %val(argv(9)), %val(argv(10)),%val(argv(11)) )
!
      return
      end
